Bug 7242 - Incorrect specs for cpp_cpucommon on i386
Summary: Incorrect specs for cpp_cpucommon on i386
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c (show other bugs)
Version: 3.1.1
: P3 normal
Target Milestone: ---
Assignee: Jan Hubicka
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-09 06:56 UTC by ban
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ban 2002-07-09 06:56:00 UTC
	``gcc -mcpu=pentium[23]'' invokes cc1 without ``-D__tune_pentiumpro__''

Release:
3.1.1 20020701 (prerelease) [FreeBSD]

Environment:
i386

How-To-Repeat:
		% gcc -mcpu=pentium3 -v --help
	
	or

		% gcc -mcpu=pentium2 -v --help
	
	shows what options are given for cc1.
Comment 1 ban 2002-07-09 06:56:00 UTC
Fix:
	Replace gcc/config/i386/i386.h with the output of:

		% sed 's/\|cpu=pentium2\|cpu=pentium3/\|mcpu=pentium2\|mcpu=pentium3/' gcc/config/i386/i386.h
Comment 2 Neil Booth 2002-07-22 13:13:40 UTC
Responsible-Changed-From-To: unassigned->hubicka
Responsible-Changed-Why: Honza, can I give this to you?
Comment 3 Jan Hubicka 2002-10-03 10:43:44 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Will commit obvious fix